Summary:	Utilities for alternative packaging
Name:		scl-utils
Version:	20140127
Release:	%mkrel 9
License:	GPLv2+
Group:		System/Base
URL:		https://fedorahosted.org/SoftwareCollections/
Source0:	https://fedorahosted.org/released/scl-utils/%{name}-%{version}.tar.gz
Source1:	macros.scl-filesystem
Patch0: 	0001-Added-Provides-scl-package-scl-for-metapackage-and-b.patch
Patch1: 	0002-Added-scl-runtime-requirement-for-all-subpackages.patch
Patch2: 	0003-Modified-the-behavior-of-debuginfo-generation-proces.patch
Patch3: 	0004-Changed-scl_prefix-macro-that-now-accepts-a-parameter.patch
Patch4: 	0005-Changed-command-description-in-scl-man-pages.patch
Patch5: 	0006-Added-conditional-dependencies-for-main-metapackage.patch

Patch100:       scl-utils-20140127-adapt-for-mageia.patch

%description
Run-time utility for alternative packaging.

%package build
Summary:	RPM build macros for alternative packaging
Group:		System/Base
Requires:	iso-codes
#Requires:	redhat-rpm-config

%description build
Essential RPM build macros for alternative packaging.

%prep
%setup -q
%patch -P 0 -p1 -b .provides-scl-package
%patch -P 1 -p1 -b .requires-scl-package
%patch -P 2 -p1 -b .scl-prefix-old
%patch -P 3 -p1 -b .debuginfo-old
%patch -P 4 -p1 -b .man-pages-old
%patch -P 5 -p1 -b .conditional-deps

%patch -P 100 -p1

%build
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="$RPM_LD_FLAGS"

%install
mkdir -p %buildroot%{_sysconfdir}/rpm
mkdir -p %buildroot%{_sysconfdir}/scl/prefixes
pushd %buildroot%{_sysconfdir}/scl
ln -s prefixes conf
popd
mkdir -p %buildroot/opt/mga
install -d -m 755 %buildroot%{_mandir}/man1
make install DESTDIR=%buildroot
cat %SOURCE1 >> %buildroot%{_sysconfdir}/rpm/macros.scl

%files
#dir /opt/mga
%{_sysconfdir}/scl/conf
%dir %{_sysconfdir}/scl/prefixes
%{_bindir}/scl
%{_bindir}/scl_enabled
%{_bindir}/scl_source
%{_mandir}/man1/*
%{_sysconfdir}/bash_completion.d/scl.bash
%doc LICENSE

%{!?_rpmconfigdir:%global _rpmconfigdir /usr/lib/rpm}
%files build
%{_bindir}/sclbuild
%{_sysconfdir}/rpm/macros.scl
%{_rpmconfigdir}/scldeps.sh
%{_rpmconfigdir}/fileattrs/scl.attr
%{_rpmconfigdir}/brp-scl-compress
%{_rpmconfigdir}/brp-scl-python-bytecompile




%changelog
* Sun Dec 22 2024 pterjan <pterjan> 20140127-9.mga10
+ Revision: 2128159
- Rebuild for patchN deprecation

* Tue Mar 15 2022 umeabot <umeabot> 20140127-8.mga9
+ Revision: 1792318
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 20140127-7.mga8
+ Revision: 1516896
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 20140127-6.mga7
+ Revision: 1300959
- Mageia 7 Mass Rebuild

* Sat Feb 06 2016 umeabot <umeabot> 20140127-5.mga6
+ Revision: 939951
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 20140127-4.mga5
+ Revision: 745717
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 20140127-3.mga5
+ Revision: 689069
- Mageia 5 Mass Rebuild

* Sun May 11 2014 dmorgan <dmorgan> 20140127-2.mga5
+ Revision: 621875
- Adapt for mageia

* Sat May 10 2014 dmorgan <dmorgan> 20140127-1.mga5
+ Revision: 621863
- New snapshot

* Sat Oct 19 2013 umeabot <umeabot> 20130529-5.mga4
+ Revision: 535145
- Mageia 4 Mass Rebuild

* Wed Sep 18 2013 dmorgan <dmorgan> 20130529-4.mga4
+ Revision: 481238
- Remove unexisting deps

* Wed Sep 18 2013 dmorgan <dmorgan> 20130529-3.mga4
+ Revision: 481136
- Do not add /opt files for now
- Make mga be the scl prefix

* Wed Jul 17 2013 dmorgan <dmorgan> 20130529-1.mga4
+ Revision: 455194
- imported package scl-utils

